#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
#define OLED_RESET     -1 // Reset pin # (or -1 if sharing Arduino reset pin)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

//ONOFF
int onoff = 10;
bool buttonState = false;
bool playOnce = true;

//INPUT
int light_sensor = 2;

//SPEAKER
const int spPin = 7;

//POTENTIOMETER
int potPin = 8;

void setup() {
  Serial.begin(9600); //begin Serial Communication
  pinMode(spPin,OUTPUT);
  pinMode(light_sensor,INPUT);

  //onoff
  pinMode(onoff, INPUT_PULLUP);

  //DISPLAY SET UP
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
  delay(100);
  display.clearDisplay();
  display.setTextColor(WHITE);
}
 

void loop() {

// ON/OFF SWITCH beginn
buttonState = digitalRead(onoff);
  if (buttonState == true) {
    
    if (playOnce == true) {
      // play startup sound
      Serial.println("Play Sound Once");
    }

 	playOnce = false;
          //LIGHT INPUT!
            int raw_light = analogRead(light_sensor); // read the raw value from light_sensor pin (A3)
            int light = map(raw_light, 0, 1023, 50, 1060); // map the value from 0, 1023 to 0, 100
          
            Serial.print("Light level: "); 
            Serial.println(light); // print the light value in Serial Monitor

          // SOUND OUTPUT
            //tone(spPin, light);
            //delay(1000); // add a delay to only read and print every 1 second

          // POTENTIOMETER
            // put your main code here, to run repeatedly:
            int potReading = analogRead (potPin);
            //Serial.println(potReading);

            // if the reading is zero, turn it off
            if (potReading < 10) {
              noTone (spPin);
            } else {
              // This is a special function that will take one range of values,
              // in this case the analogue input reading between 0 and 1023, and
              // produce an equivalent point in another range of numbers, in this
              // case a range of frequencies to use for the pitch (120 to 1500 Hz).
              //int pitch = map(potReading, 0, 1023, 120, 1500);
              tone(spPin, light);
              delay(1000); // add a delay to only read and print every 1 second
              
            }

          //DISPLAY
            display.clearDisplay();

              // display R G B Values
            display.setTextSize(1);
            display.setCursor(0,0);
            display.print("hello light");


            display.setTextSize(2);
            display.setCursor(0, 28);
            //display.print(light);
            display.print(potReading);
            
            display.display(); 
          

//ONOFF switch end;
}
  else (buttonState == false); {
    playOnce = true;
    Serial.println("Device turned off"); 
    
    
    noTone (spPin);

  }

  
}



